TrophicSpecies {cheddar} | R Documentation

## Trophic species

### Description

A function that computes trophic species numbers.

### Usage

    TrophicSpecies(community, include.isolated=TRUE)

### Arguments

`community` | an object of class `Community`.
`include.isolated` | if `TRUE` then nodes for which `IsIsolatedNode` is `TRUE` are given their own trophic species number. If `FALSE` the isolated species are assigned a trophic species of `NA`.

### Details

Returns a vector containing the trophic species number of each node in the community. Nodes with identical sets of prey and predators are given the same trophic species number.

### Value

A vector of length `NumberOfNodes`.

### Author(s)

Lawrence Hudson

### References

Briand, F. and Cohen, J.E. 1984 Community food webs have scale-invariant structure Nature 307, 264–267.

Pimm, S.L. and Lawton, J.H. and Cohen, J.E. 1991 Food web patterns and their consequences Nature 350, 669–674.

Williams, R.J. and Martinez, N.D. 2000 Simple rules yield complex food webs 404, 180–183.

Jonsson, T. and Cohen, J.E. and Carpenter, S.R. 2005 Food webs, body size, and species abundance in ecological community description. Advances in Ecological Research 36, 1–84.

### See Also

`Community`, `IsIsolatedNode`, `NPS`, `LumpTrophicSpecies`, `NumberOfNodes`

### Examples

    data(TL84)

    # Isolated nodes assigned their own trophic species number
    TrophicSpecies(TL84)

    # Isolated nodes assigned a trophic species of NA
    TrophicSpecies(TL84, include.isolated=FALSE)

    # Compare including and excluding isolated nodes
    NPS(TL84, list(TS1='TrophicSpecies',
                   TS2=list('TrophicSpecies', include.isolated=FALSE),
                   Iso='IsIsolatedNode'))

[Package cheddar version 0.1-633 Index]